모로
제안 적용
필요한 권한: moro:write + plans:write + finances:write
POST
/
v1
/
plans
/
{id}
/
advisor
/
threads
/
{threadId}
/
messages
/
{messageId}
/
proposals
/
{index}
/
apply
제안 적용
curl --request POST \
--url https://api.morrowly.app/v1/plans/{id}/advisor/threads/{threadId}/messages/{messageId}/proposals/{index}/apply \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.morrowly.app/v1/plans/{id}/advisor/threads/{threadId}/messages/{messageId}/proposals/{index}/apply"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.morrowly.app/v1/plans/{id}/advisor/threads/{threadId}/messages/{messageId}/proposals/{index}/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"answer": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposals": [
{
"after": {
"fiAge": 123,
"finalNetWorth": 123,
"firstShortfallMonth": "<string>",
"minCash": 123,
"retirementNetWorth": 123
},
"afterPath": [
{
"age": 123,
"cash": 123,
"month": "<string>",
"netWorth": 123,
"shortfall": true
}
],
"applied": true,
"before": {
"fiAge": 123,
"finalNetWorth": 123,
"firstShortfallMonth": "<string>",
"minCash": 123,
"retirementNetWorth": 123
},
"beforePath": [
{
"age": 123,
"cash": 123,
"month": "<string>",
"netWorth": 123,
"shortfall": true
}
],
"finances": {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"investmentTax": "DOMESTIC_STOCK",
"monthlyContribution": 123,
"name": "<string>",
"owner": "SELF",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"type": "INVESTMENT",
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseKind": "RENT",
"expenseRate": 123,
"id": "<string>",
"incomeKind": "NET",
"monthlyAmount": 123,
"name": "<string>",
"owner": "SELF",
"start": "<string>",
"type": "INCOME"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"kind": "SPOUSE",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"owner": "SELF",
"principal": 123,
"remainingMonths": 123,
"repayment": "ANNUITY"
}
],
"remove": [
"<string>"
]
},
"financesSeen": "<string>",
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
}
}
],
"planSeen": "<string>",
"reason": "<string>",
"remove": [
"<string>"
],
"sharedFinances": true,
"title": "<string>",
"upsert": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"assetType": "INVESTMENT",
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
},
"loan": {
"annualRate": 123,
"owner": "SELF",
"policyLoan": "DIDIMDOL",
"principal": 123,
"repayment": "ANNUITY",
"termMonths": 123
},
"owner": "SELF",
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
}
}
]
}
],
"question": "<string>",
"undoable": true
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
제안 적용
